@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';




$rulebuilder__ca-element-default--border-width: $boxes--border__thin;

$rulebuilder__header--color: $black__blueish--100;
$rulebuilder__header--font-size: $font-size__medium;
$rulebuilder__header-east--bg-color: transparent;//#f3f5f7;
$rulebuilder__header-east--padding-right: 28px; 
$rulebuilder__header-east--padding-left: $container-spacing-default__base;
$rulebuilder__header-east-collapse-icon--right: 8px;

$rulebuilder__editor-east--bg-color: $white;
$rulebuilder__editor-east--font-size: $font-size__base; 

$rulebuilder__editor-east-definition--padding-left: $container-spacing-default__base;

$rulebuilder__editor-east-listcell--padding: 10px 5px 9px;
$rulebuilder__editor-east-groupcell--border-width: $rulebuilder__ca-element-default--border-width 0;
$rulebuilder__editor-east-groupcell-label--hover-color: $blue__default;

$rulebuilder__header-main--padding-bottom: 10px;

$rulebuilder__title--font-size: $font-size__large;
$rulebuilder__title--font-weight: $font-weight-bold;
$rulebuilder__title--color: $black__blueish--100; //#043263;

$rulebuilder__breadcrumb--padding: 16px 0;
$rulebuilder__breadcrumb--font-size: $font-size__base;
$rulebuilder__breadcrumb--line-height: $font-size__medium;
$rulebuilder__breadcrumb-parameter--color: $black__blueish--100;
$rulebuilder__breadcrumb-parameter--font-weight: $font-weight-bold;
$rulebuilder__breadcrumb-parameter--font-size: $font-size__base;
$rulebuilder__breadcrumb-parameter--letter-spacing: 0.01em;
$rulebuilder__breadcrumb-separator--font-weight: $font-weight-bold;
$rulebuilder__breadcrumb-rule-parent--font-size: $font-size__base;
$rulebuilder__breadcrumb-rule-parent--font-weight: $font-weight-normal;
$rulebuilder__breadcrumb-rule-parent-group--word-spacing: 0.3em;
$rulebuilder__breadcrumb-rule-parent-group--color: $black__blueish--200;
$rulebuilder__breadcrumb-rule-parent-container--color: $black__blueish--100;
$rulebuilder__breadcrumb-empty--content: "…";

/* ========================================= */

$rulebuilder__ca-handle-string--width:  4px;
$rulebuilder__ca-handle-string--height: 800px;

$rulebuilder__ca-connector-button--indent: 15px;
$rulebuilder__ca-handle-node-title--space: 15px;
$rulebuilder__ca-handle-node-title--padding-h: 12px;


$rulebuilder__ca-container--padding-left: $editor-defaults__inline-box--height;

$rulebuilder__ca-container-headline--padding-left: $rulebuilder__ca-container--padding-left + 2px;
$rulebuilder__ca-container-node--size: 22px;
$rulebuilder__ca-container-node--border-radius: ceil($rulebuilder__ca-container-node--size/2);
$rulebuilder__ca-container-node--space-x: 40px;

$rulebuilder__ca-container-node--left: $rulebuilder__ca-container--padding-left/2 - $rulebuilder__ca-container-node--size/2 + 2px;


/* ========================================= */

$rulebuilder__ca-element--bg-color: $white;//#dae1ea;
$rulebuilder__ca-contanier-element--bg-color: $white;//#f3f5f7;
$rulebuilder__ca-group-element--bg-color: $white;//#eaedf1;

$rulebuilder__ca-container--bg-color: $white;
$rulebuilder__ca-container--padding: 0 2px 0 0;
$rulebuilder__ca-container--border: 5px solid $rulebuilder__ca-container--bg-color;

$rulebuilder__ca-element--min-width: 160px;
$rulebuilder__ca-element-default--border-color: $grey__light--800;

$rulebuilder__ca-element-default--border: $rulebuilder__ca-element-default--border-width solid $rulebuilder__ca-element-default--border-color;

$rulebuilder__ca-element-content--bg-color: $white; // #dae1ea;
$rulebuilder__ca-element--border-width: $rulebuilder__ca-element-default--border-width 0 0;

$rulebuilder__ca-element-caption--padding-left: 40px;
$rulebuilder__action-element-caption--indent-left-addition: 22px;
$rulebuilder__action-element-caption--padding-left: $rulebuilder__ca-element-caption--padding-left + $rulebuilder__action-element-caption--indent-left-addition; 
$rulebuilder__ca-element-caption--padding: $rulebuilder__ca-handle-node-title--space 0 $rulebuilder__ca-handle-node-title--space $rulebuilder__ca-element-caption--padding-left;

$rulebuilder__ca-element-caption-label--padding: 0 5px 0 0;

$rulebuilder__ca-children-container--margin: 0;
$rulebuilder__ca-children-container-element-node-icon--left: -6px;
$rulebuilder__ca-children-container-element-caption-param--margin-left: $rulebuilder__ca-children-container-element-node-icon--left;
$rulebuilder__ca-children-container-element-caption--padding-left: $rulebuilder__ca-element-caption--padding-left - ($rulebuilder__ca-handle-node-title--padding-h - $rulebuilder__ca-children-container-element-node-icon--left);
$rulebuilder__ca-children-container--padding: 0 0 0 $rulebuilder__ca-container-node--space-x + $rulebuilder__ca-container--padding-left;
$rulebuilder__ca-container--border: $rulebuilder__ca-element-default--border-width solid $rulebuilder__ca-element-default--border-color;
$rulebuilder__ca-children-container--border-width: $rulebuilder__ca-element-default--border-width 0 $rulebuilder__ca-element-default--border-width $rulebuilder__ca-element-default--border-width;//2px 0 $boxes--border__thin 2px;

$rulebuilder__ca-group-container--border-width: $boxes--border__thin 0 0;

$rulebuilder__ca-element-label--color: #263950;
$rulebuilder__ca-element-label--icon-color: $rulebuilder__ca-element-label--color;
$rulebuilder__ca-element-label--hover-color: $blue__default;

$rulebuilder__ca-element-label-node-icon--margin-left: 0; // 8px
$rulebuilder__ca-element-label-node-icon--size: $rulebuilder__ca-container-node--size;
$rulebuilder__ca-element-label-node-icon--line-height: $rulebuilder__ca-element-label-node-icon--size;
$rulebuilder__ca-element-label-node-icon--font-size: $font-size__small;

$rulebuilder__ca-element-dragged--border: $boxes--border__thin solid #7d899c;
$rulebuilder__ca-element-dragged--width: 400px;

$rulebuilder__ca-container-element-caption--space: 20px;
$rulebuilder__ca-container-element-caption-label--height: 24px;
$rulebuilder__ca-container-element-parameters--margin-top: -$rulebuilder__ca-container-element-caption-label--height;
$rulebuilder__ca-container-element-caption-parameters--padding: 0 0 0 10px;

$rulebuilder__ca-children-elements-handle-string--inner: false;
$rulebuilder__ca-handle-string-outer--left: -$rulebuilder__ca-container-node--space-x;

$rulebuilder__ca-handle-string--bg-color: $blue__light--200;
$rulebuilder__ca-handle-string--top: ($rulebuilder__ca-handle-node-title--space + $rulebuilder__ca-container-node--size/2 - $rulebuilder__ca-handle-string--height);
$rulebuilder__ca-handle-string--left: ($rulebuilder__ca-handle-string-outer--left + $rulebuilder__ca-container-node--size/2 - $rulebuilder__ca-handle-string--width/2);

@if $rulebuilder__ca-children-elements-handle-string--inner {
	$rulebuilder__ca-handle-string--left: ($rulebuilder__ca-container-node--left + $rulebuilder__ca-container-node--size/2 - $rulebuilder__ca-handle-string--width/2);
};
$rulebuilder__ca-handle-string-mask--height: 20px + 5px;
$rulebuilder__ca-handle-string-mask--width: $rulebuilder__ca-handle-string--width + 2* $boxes--border__thin;
$rulebuilder__ca-handle-string-mask--left: $rulebuilder__ca-handle-string--left - $boxes--border__thin;

$rulebuilder__ca-delete-btn--size: 28px;
$rulebuilder__ca-delete-btn--margin-top: -($rulebuilder__ca-delete-btn--size/2);
$rulebuilder__ca-delete-btn--padding: 0px 4px;
$rulebuilder__ca-delete-btn--right: 15px;

$rulebuilder__ca-placeholder-inner--height: 56px;
$rulebuilder__ca-placeholder-inner--color: $grey__dark--500;
$rulebuilder__ca-placeholder-inner--bg-color: $grey__light--1200;//$white;
$rulebuilder__ca-placeholder-inner--font-size: $font-size__base;
$rulebuilder__ca-placeholder-inner--font-weight: $font-weight-normal;
$rulebuilder__ca-placeholder-inner--border-width: $boxes--border__medium;
$rulebuilder__ca-placeholder-inner--line-height: $rulebuilder__ca-placeholder-inner--height - $rulebuilder__ca-placeholder-inner--border-width;
$rulebuilder__ca-placeholder-inner--border: $rulebuilder__ca-placeholder-inner--border-width dashed $grey__default--300;
$rulebuilder__ca-placeholder-highlight-inner: true;
$rulebuilder__ca-placeholder--border-width: false;
$rulebuilder__ca-placeholder-root--border-width: $rulebuilder__ca-element-default--border-width 0 0;

$rulebuilder__ca-placeholder--bg-color: false;
$rulebuilder__ca-placeholder--padding: $container-spacing-default__base 0;
$rulebuilder__ca-placeholder--hover-bg-color: $grey__default--800;//#dae1ea;
$rulebuilder__ca-placeholder--drag-over-bg-color: $rulebuilder__ca-placeholder--hover-bg-color;//#dae1ea;
$rulebuilder__ca-placeholder--hover-color: $white;
$rulebuilder__ca-placeholder--add-hover-border-color: true;

$rulebuilder__ca-placeholder-inner-icon-image-right--bg-image: false;
$rulebuilder__ca-placeholder-inner-icon-image-right--size: 36px;
$rulebuilder__ca-placeholder-inner-icon-image-right--margin-top: -($rulebuilder__ca-placeholder-inner-icon-image-right--size/2);
$rulebuilder__ca-placeholder-inner-icon-image-right--right: 3px;


$rulebuilder__parameters-container--padding: 15px 0px 5px $rulebuilder__ca-container--padding-left;

$rulebuilder__parameters-container--bg-color:  $white;//#e5e7ee;
$rulebuilder__parameters-container--hover-bg-color: false;//mix($white, #eaedf1, 5%);

$rulebuilder__parameter-label--color: #7d899c;
$rulebuilder__parameter-label--font-size: $font-size__small;
$rulebuilder__parameter-label--line-height: $font-size__base;
$rulebuilder__parameter-label--font-weight: $font-weight-normal;
$rulebuilder__parameter-label-container--margin-bottom: 2px;
$rulebuilder__parameter-label-info--font-size: $font-size__base;

$rulebuilder__parameter--max-width: 280px;
$rulebuilder__parameter-bp-m--max-width: 360px;
$rulebuilder__parameter-bp-l--max-width: 420px;
$rulebuilder__parameter--min-width: 100px;
$rulebuilder__parameter-condition--min-width: 180px;
$rulebuilder__parameter--padding: 0px 15px 15px 0px;


$rulebuilder-modal__controls-container--padding: $container-spacing-default__third;
$rulebuilder-modal__controls-container--border-top: $boxes--border__thin solid $grey__default;
$rulebuilder-modal__content-label--margin-bottom: $container-spacing-default__third;
$rulebuilder-modal__content-container--padding: $container-spacing-default__half $container-spacing-default__third*2 (nth($rulebuilder-modal__controls-container--padding, 1) * 2 + nth($rulebuilder-modal__controls-container--border-top, 1) + $editor-defaults__inline-box--height);

@mixin _add-yrb-parameter-validation ($type, $color){
	.yrb-parameter.ye-validation-#{$type} .yrb-label-container,
	.yrb-parameter-validation-popup .ye-validation-#{$type} {
		.z-label,
		i {
			color: $color;
		}
	}
}

@mixin _add-yrb-condition-type-hover-bg-color ($bg-color) {
	&:hover {
		>.yrb-condition-content,
		>.yrb-condition-content:before {
			background-color: $bg-color;
		}
	}
}

@mixin _add-cursor-witth-fallback ($cursor:grab, $fallback-cursor:pointer) {
	cursor: $fallback-cursor;
	cursor: -webkit-#{$cursor};
	cursor: -moz-#{$cursor};
	cursor: #{$cursor};
}

@mixin _add-node-circle-before ($left:$rulebuilder__ca-handle-string-outer--left, $top: 25px, $margin-top:false, $margin-left:false){
	&:before {
		content: "";
		position: absolute;
		width: $rulebuilder__ca-container-node--size;
		height: $rulebuilder__ca-container-node--size;
		background-color: $rulebuilder__ca-handle-string--bg-color;
		border: $boxes--border__thin solid $blue__default;
		border-color: $blue__default !important;
		top: $top;
		left: $left;
		@if $rulebuilder__ca-container-node--border-radius {
			border-radius: $rulebuilder__ca-container-node--border-radius;
		}
		box-sizing: border-box;

		@if $margin-top {
			margin-top: $margin-top;
		}
		@if $margin-left {
			margin-left: $margin-left;
		}
	}
}

@mixin _add-node-circle-half_vertically-centered (){
	position: absolute;
	top: 50%;
	margin-top: -($rulebuilder__ca-container-node--size/2);
	width: $rulebuilder__ca-container-node--size;
	height: $rulebuilder__ca-container-node--size/2;
	@if $rulebuilder__ca-container-node--border-radius {
		border-radius: $rulebuilder__ca-container-node--border-radius $rulebuilder__ca-container-node--border-radius 0 0;
	}
	content: "";
	display: block;
	background: inherit;
	z-index: 4;
}